%global gemname rr

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}

Summary: RR (Double Ruby) 
Name: rubygem-%{gemname}
Version: 1.0.4
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://pivotallabs.com
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
Requires: ruby 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems) 
BuildRequires: ruby 
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

# The followin are for running test suite
BuildRequires: rubygem(rake)
BuildRequires: rubygem(bundler)
#BuildRequires: rubygem(session)

%description
RR (Double Ruby) is a double framework that features a rich selection of
double techniques and a terse syntax.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

# Remove leftovers.
rm  %{buildroot}%{geminstdir}/.gitignore
rm  %{buildroot}%{geminstdir}/.runrc
rm  %{buildroot}%{geminstdir}/.rvmrc
rm -rf  %{buildroot}%{geminstdir}/.yardoc
rm  %{buildroot}%{geminstdir}/Gemfile
rm  %{buildroot}%{geminstdir}/Gemfile.lock
rm  %{buildroot}%{geminstdir}/%{gemname}.gemspec
rm  %{buildroot}%{geminstdir}/doc/todo.txt

%check
cd %{buildroot}%{geminstdir}
echo "Test suite disabled waiting for rubygem(session) to be in Fedora"
#rake spec

# Remove leftovers.
rm  %{buildroot}%{geminstdir}/Rakefile


%files
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/LICENSE

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/doc
%doc %{geminstdir}/introducting_rr.txt
%doc %{geminstdir}/CHANGES
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/spec
%doc %{geminstdir}/benchmarks

%changelog
* Sat Jan 21 2012 Guillermo <gomix@movix.fedora-ve.org> - 1.0.4-1
- Initial package
